Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Andrey Orst <[email-masked]>
Date: Thu, 17 Oct 2019 11:52:46 +0300

> Word processors.

Emacs is so much more than a word processor.

The thing is, that all your thoughts are seem correct if
we're speaking about text. Though,in Emacs there are many
packages that are used not for text editing, but for
interactions with different tools, and such change breaks
well established user interface. Examples were already
provided: Helm, Magit, Ediff, and there are also a lot of
user themes which provide more modern look to Emacs by using
this feature, which then affects packages that these themes
try to configure, e.g. doom-themes can configure Treemacs
package to look more like a true UI element rather than
buffer with text, that supposed to be interacted because it
just have some icons.

I do agree that this change is aimed to provide native way
of extending highlighting beyond EOL without relying on
hacks. And I think it's a good intention.I just disagree
with how it was forced in a way that it broke visuals of
many external packages that provide UI elements via
highlighting.

--
Best regards,
Andrey Orst